### Hierarchy

- unknown
  - Arbitrator

## Index

### Constructors

- constructor

### Methods

- addLanguageCodes
- clearExtraDataMap
- clearLanguageCodesList
- clearNodeAddress
- clearPubKeyRing
- getEmailAddress
- getExtraDataMap
- getInfo
- getLanguageCodesList
- getNodeAddress
- getPubKeyRing
- getRegistrationDate
- getRegistrationPubKey
- getRegistrationPubKey_asB64
- getRegistrationPubKey_asU8
- getRegistrationSignature
- getXmrAddress
- hasNodeAddress
- hasPubKeyRing
- serializeBinary
- setEmailAddress
- setInfo
- setLanguageCodesList
- setNodeAddress
- setPubKeyRing
- setRegistrationDate
- setRegistrationPubKey
- setRegistrationSignature
- setXmrAddress
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Arbitrator(): Arbitrator

- Inherited from jspb.Message.constructor

  #### Returns Arbitrator

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2857

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Arbitrator

### clearExtraDataMap

- clearExtraDataMap(): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2885

  #### Returns Arbitrator

### clearLanguageCodesList

- clearLanguageCodesList(): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2856

  #### Returns Arbitrator

### clearNodeAddress

- clearNodeAddress(): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2852

  #### Returns Arbitrator

### clearPubKeyRing

- clearPubKeyRing(): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2873

  #### Returns Arbitrator

### getEmailAddress

- getEmailAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:2878

  #### Returns string

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:2884

  #### Returns Map<string, string>

### getInfo

- getInfo(): string

- - Defined in src/protobuf/pb_pb.d.ts:2881

  #### Returns string

### getLanguageCodesList

- getLanguageCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:2854

  #### Returns string[]

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2849

  #### Returns undefined | NodeAddress

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2870

  #### Returns undefined | PubKeyRing

### getRegistrationDate

- getRegistrationDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:2859

  #### Returns number

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2865

  #### Returns string | Uint8Array

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2867

  #### Returns string

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2866

  #### Returns Uint8Array

### getRegistrationSignature

- getRegistrationSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:2862

  #### Returns string

### getXmrAddress

- getXmrAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:2875

  #### Returns string

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2851

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2872

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2887

  #### Returns Uint8Array

### setEmailAddress

- setEmailAddress(value: string): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2879

  #### Parameters

  - ##### value: string

  #### Returns Arbitrator

### setInfo

- setInfo(value: string): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2882

  #### Parameters

  - ##### value: string

  #### Returns Arbitrator

### setLanguageCodesList

- setLanguageCodesList(value: string[]): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2855

  #### Parameters

  - ##### value: string[]

  #### Returns Arbitrator

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2850

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Arbitrator

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2871

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Arbitrator

### setRegistrationDate

- setRegistrationDate(value: number): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2860

  #### Parameters

  - ##### value: number

  #### Returns Arbitrator

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2868

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Arbitrator

### setRegistrationSignature

- setRegistrationSignature(value: string): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2863

  #### Parameters

  - ##### value: string

  #### Returns Arbitrator

### setXmrAddress

- setXmrAddress(value: string): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2876

  #### Parameters

  - ##### value: string

  #### Returns Arbitrator

### toObject

- toObject(includeInstance?: boolean): Arbitrator . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2888

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Arbitrator . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2891

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Arbitrator

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Arbitrator, reader: BinaryReader): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2892

  #### Parameters

  - ##### message: Arbitrator

  - ##### reader: BinaryReader

  #### Returns Arbitrator

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Arbitrator, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2890

  #### Parameters

  - ##### message: Arbitrator

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Arbitrator ): Arbitrator . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2889

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Arbitrator

  #### Returns Arbitrator . AsObject

Generated using TypeDoc